Skip to main content
GET
cURL

Authorizations

X-Api-Key
string
header
required

Your Pikzels API key (prefix: pkz_)

Path Parameters

request_id
string
required

The request_id a POST request returned (in its body or the X-Request-Id header)

Response

Success

request_id
string
required
response_url
string
required

Where the result is: GET /v2/requests/:request_id

Pattern: ^https://\S+$
status
enum<string>
required

IN_QUEUE: waiting to start (HTTP 202). IN_PROGRESS: generating (HTTP 202). COMPLETED: done, successfully or not (HTTP 200) Allowed values: "IN_QUEUE", "IN_PROGRESS", "COMPLETED".

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED
status_url
string
required

This endpoint for the request

Pattern: ^https://\S+$
error
object

Only when the request failed: { code, message }, the error the request returns without async